Subject: RE: Bero 1.3.2 login problem/ Solaris 2.4

From: Roger Hanke <[email-masked]>
Date: Fri, 29 Jan 1999 14:34:24 -0500

Chad,
 Am running BeroFTPD 1.2.3 on Solaris 2.5.1.
Now sure what you meant by stow. We use
our own software to install the product files once
they are built. The config line I am using is probably
not appropriate for you, but since you asked for it:
./configure --enable-chmod-limit --enable-standalone
--with-confdir=/usr/local/lib/ftpd --with-logdir=/usr/local/logs
--with-piddir=/usr/local/lib/ftpd/pids --enable-oldvirt

You show WUFTPD 2.4.2. So not any Beta version?
If not, a lot has changed since the original WUFTPD 2.4.2
version and that is why you are having a problem, not
due to any BeroFTPD change. Check your ftpaccess
specifications against the latest man page and make sure
you have -a on ftpd command line so that you are 
invoking ftpaccess file to begin with. Check in your
system log file why you are being denied access.
Pick up Beta 18 of WUFTPD if you want to test with 
the latest WUFTPD version.

	Roger Hanke

>-----Original Message-----
>From:	Chad Price [SMTP:[email-masked]]
>Sent:	Friday, January 29, 1999 12:33 PM
>To:	[email-masked]
>Cc:	[email-masked]
>Subject:	Re: Bero 1.3.2 login problem/ Solaris 2.4
>
>At 12:41 AM 1/29/1999 +0100, you wrote:
>>On Thu, 28 Jan 1999, Chad Price wrote:
>>
>>> I've got and installed 1.3.2 (I'm aware that 1.2.x is the official stable
>>> version). I'm replacing an old version of wu-ftpd (2.4(2)).  I cannot
>>>login
>>> using Bero and can login using wu-ftpd with the same configuration files.
>>> Details below.
>>
>>Try recompiling with --disable-passwd. Some systems apparently have
>>problems with the alternate getpwnam() implementation.
>>
>
>1.3.2 compiled with --disable-passwd produced the same failure to login.
>
>I also retried with 1.2.3, and get the same results. I have not compiled it
>with 
>	--disable-passwd
>So it's at least not something that was introduced with 1.3.  
>
>Any other Solaris 2.4 users have any suggestions? What parameters did you
>compile with? and are you using stow to install stuff into a common tree?
>
>molbio /usr/local/src/wuftp/BeroFTPD-1.3.2> /bin/ps -ef|grep inet
>    root   188     1 80 09:56:18 ?        0:02 /usr/sbin/inetd -s
>  cprice  6152  2071  8 11:32:19 pts/3    0:00 grep inet
>molbio /usr/local/src/wuftp/BeroFTPD-1.3.2> sudo kill -HUP 188
>molbio /usr/local/src/wuftp/BeroFTPD-1.3.2> ftp molbio
>Connected to molbio.unmc.edu.
>220 molbio.unmc.edu FTP server (BeroFTPD 1.2.3(1) Fri Jan 29 11:22:56 CST
>1999) ready.
>Name (molbio:cprice): 
>331 Password required for cprice.
>Password:
>530 Login incorrect.
>Login failed.
>ftp> 221 Goodbye.
>molbio /usr/local/src/wuftp/BeroFTPD-1.3.2> sudo kill -HUP 188
>molbio /usr/local/src/wuftp/BeroFTPD-1.3.2> ftp molbio
>Connected to molbio.unmc.edu.
>220 molbio FTP server (Version wu-2.4(2) Thu Aug 20 15:20:09 CDT 1998) ready.
>Name (molbio:cprice): 
>331 Password required for cprice.
>Password:
>230 User cprice logged in.
>ftp> 
> 
> 
>Chad Price
>Systems Manager
>University of Nebraska Medical Center
>600 S 42nd St
>Omaha, NE 68506-6495
>[email-masked]
>(402) 559-9527 
>(402) 559-4077 (FAX)
>